function plot_H(orb, Z, xAtom, yAtom, zAtom, plotlimit)
constants

num_orbs_per_atom = cellfun('size',orb,2);
nopa_cumsum = cumsum([0; num_orbs_per_atom]);
N_atom = length(Z);
N = sum(num_orbs_per_atom);
orblist = {};
for k = 1:length(orb)
    orblist = [orblist orb{k}];
end

x = linspace(-plotlimit, plotlimit, 100);
y = linspace(-plotlimit, plotlimit, 100);
[XX, YY] = meshgrid(x, y);
ZZ = zeros(size(XX));

figure

for k = 1:N
    for l = 1:N
        atom_k = find(k > nopa_cumsum,1,'last');
        atom_l = find(l > nopa_cumsum,1,'last');

        orb1 = orblist{k};
        orb2 = orblist{l};

        pos1 = [xAtom(atom_k) yAtom(atom_k) zAtom(atom_k)];
        pos2 =  [xAtom(atom_l) yAtom(atom_l) zAtom(atom_l)];
        
        subplot(N, N, N*(k-1)+l)
        
        for j = [1:atom_l-1 atom_l+1:N_atom]
            ZZ = atorbit(XX-pos1(1),YY-pos1(2),0,Z(atom_k),false,orb1)...
                 ./sqrt((XX-xAtom(j)).^2+(YY-yAtom(j)).^2).* ...
                 atorbit(XX-pos2(1),YY-pos2(2),0,Z(atom_l),false,orb2);
        end

        s = surf(XX, YY, ZZ);
        s.EdgeColor = 'none';
        xlim([-plotlimit, plotlimit])
        ylim([-plotlimit, plotlimit])
        axis off tight
        view(25,75)
        
        title([num2str(atom_k), '-', orblist{k}, '*', num2str(atom_l), '-', orblist{l}])
    end
end
