function plot_S(orb, Z, xAtom, yAtom, zAtom, plotlimit)
constants

num_orbs_per_atom = cellfun('size',orb,2);
nopa_cumsum = cumsum([0; num_orbs_per_atom]);
N_atom = length(Z);
N = sum(num_orbs_per_atom);
orblist = {};
for k = 1:length(orb)
    orblist = [orblist orb{k}];
end

x = linspace(-plotlimit, plotlimit, 100);
y = linspace(-plotlimit, plotlimit, 100);
[XX, YY] = meshgrid(x, y);
ZZ = zeros(size(XX));

figure

for k = 1:N
    for l = k:N
        atom_k = find(k > nopa_cumsum,1,'last');
        atom_l = find(l > nopa_cumsum,1,'last');
        
        subplot(N, N, N*(k-1)+l)
        
        ZZ = atorbit(XX-xAtom(atom_k),YY-yAtom(atom_k),-zAtom(atom_k),Z(atom_k),false,orblist{k}).* ...
             atorbit(XX-xAtom(atom_l),YY-yAtom(atom_l),-zAtom(atom_l),Z(atom_l),false,orblist{l});

        s = surf(XX, YY, ZZ);
        s.EdgeColor = 'none';
        xlim([-plotlimit, plotlimit])
        ylim([-plotlimit, plotlimit])
        axis off tight
        view(25,75)
        
        title([num2str(atom_k), '-', orblist{k}, '*', num2str(atom_l), '-', orblist{l}])
    end
end
